Subject: Re: [PATCH] powerpc/powernv: Remove powernv RTAS support

From: Stewart Smith <[email-masked]>
Date: Tue, 07 Apr 2015 15:36:00 +1000

Michael Ellerman <[email-masked]> writes:
>> The only current place I could think this could be remotely possible
>> would be in simulator... and we should instead make the OPAL calls work
>> properly in the simulator for all the RTAS functionality (that we care
>> about).
>
> If you mean mambo, I tested that, at least the public version, and it doesn't
> provide or need RTAS.
>
> On the other sims we ran without RTAS during the Power8 bringup, though it was
> eventually used a little bit late in the cycle. In future we should be using
> skiboot, or just putting logic directly into the kernel for early bringup - or
> permanently :)

agreed on using skiboot. If we're going as far as booting a linux
kernel, the overhead of loading skiboot is next to nothing in
comparison. Or at least it should be.